#ifndef TERC_H_INCLUDED
#define TERC_H_INCLUDED

#include <GL/gl.h>

class Terc
{
private:
	enum { VYSKA = 3, SIRKA = 3};
	GLuint texturaID;
	GLfloat poziceX, poziceY, poziceZ;
	GLfloat poziceTextu;
	int zasahu;
	bool bez_textury;
	bool vykresliTerc;
public:
	Terc(GLfloat);
	~Terc()	{ }
	GLfloat vratDelku()			{ return SIRKA/2.0; }
	GLfloat vratVysku()			{ return VYSKA; }
	bool vratStav()					{ return vykresliTerc; }
	void resetZasahu()			{ zasahu = 0; }
	void zakazVykresleni()	{ vykresliTerc = false; }
	void povolVykresleni()	{ vykresliTerc = true; }
	void setPozTextu(GLfloat pozText) { poziceTextu = pozText; }
	void nactiTextury(char *);
	void zmenPozici(GLfloat, GLfloat, GLfloat);
	void trefilSe(GLfloat, GLfloat, GLfloat, GLfloat);
	void kresliZasahy();
	void vykresli();
};

#endif // TERC_H_INCLUDED
