#ifndef GRAFIKA_H_INCLUDED
#define GRAFIKA_H_INCLUDED

#include <windows.h>
#include "extern/image.h"
#include <GL/gl.h>

const int SIRKA_OKNA		= 640;
const int VYSKA_OKNA		= 480;

void inicializace();
void setTexture(GLuint, Image*);
void myDisplay();
void myReshape(int sirka, int vyska);
void myIdle();
void myMenu(int polozka);

void myKeyboard(unsigned char key, int x, int y);
void mySpecialKeyboard(int key, int x, int y);
void mySpecialKeyboard2(int key, int x, int y);

void initDraw();
void closeDraw(unsigned dlist);

void vykresliScenu();
void prochazeni();
void panorama();
void stanoviste();

#endif // GRAFIKA_H_INCLUDED
