#include "grafika.h"
#include <GL/glut.h>

int main(int argc, char *argv[])
{
	glutInit(&argc, argv);
	glutInitWindowSize(SIRKA_OKNA, VYSKA_OKNA);
	glutInitWindowPosition(10, 10);
	glutInitDisplayMode(GLUT_RGBA | GLUT_DOUBLE | GLUT_DEPTH);
	glutCreateWindow("Hlavni okno");

	glutDisplayFunc(myDisplay);
	glutReshapeFunc(myReshape);
	glutKeyboardFunc(myKeyboard);
	glutSpecialFunc(mySpecialKeyboard);
	glutIdleFunc(myIdle);

	glutCreateMenu(myMenu);
	glutAddMenuEntry("Prochazeni sceny", 1);
	glutAddMenuEntry("Panoramaticky pohled", 2);
	glutAddMenuEntry("Palebne stanoviste 1", 3);
	glutAddMenuEntry("Palebne stanoviste 2", 4);
	glutAddMenuEntry("Palebne stanoviste 3", 5);
	glutAddMenuEntry("Restart nastaveni", 6);
	glutAddMenuEntry("Konec programu", 7);
	glutAttachMenu(GLUT_RIGHT_BUTTON);

	inicializace();

	glutMainLoop();

	return 0;
}
